
var discussionsPortlet_currentPage = 0;

function discussionsPortlet_alert(uid, text) {
	var msg = document.getElementById(uid + "_message");
	if (msg) {
		msg.innerHTML = text;
	}
}

function discussionsPortlet_confirm(uid, text) {
	return confirm(text);
}
	
function discussionsPortlet_selectPage(uid, index) {
	if (index == discussionsPortlet_currentPage) {
		return;
	}
	
	var page = document.getElementById(uid + "_page_" + index);
	var oPage = document.getElementById(uid + "_page_" + discussionsPortlet_currentPage);
	page.style.display = "";
	oPage.style.display = "none";

	var pageStatus = document.getElementById(uid + "_pagestatus1");
	pageStatus.innerHTML = (parseInt(index) + 1);

	var pageStatus2 = document.getElementById(uid + "_pagestatus2");
	pageStatus2.innerHTML = (parseInt(index) + 1);
	
	var pager = document.getElementById(uid + "_pager1_" + index);
	pager.className = "forum-page-views-pager-status-active";
	var oPager = document.getElementById(uid + "_pager1_" + discussionsPortlet_currentPage);
	oPager.className = "";

	pager = document.getElementById(uid + "_pager2_" + index);
	pager.className = "forum-page-views-pager-status-active";
	oPager = document.getElementById(uid + "_pager2_" + discussionsPortlet_currentPage);
	oPager.className = "";

	discussionsPortlet_currentPage = index;
}

function discussionsPortlet_doOpenEditor(uid, id, action, contentDiv, html) {

	var actionField = document.getElementById(uid + "_" + id + "_discussions_action");
	actionField.value = action;

	var actionButtons = document.getElementById(uid + "_" + id + "_action_buttons");
	var editorButtons = document.getElementById(uid + "_" + id + "_editor_buttons");

	var editor = document.createElement("div");
	editor.className = "forum-message-editor";
	editor.id = uid + "_" + id + "_editor";
	
	var textarea = document.createElement("textarea");
	textarea.id = uid + "_" + id + "_textarea";
	
	editor.appendChild(textarea);
	
	contentDiv.appendChild(editor);

	textarea.value = html.replace(/^\s\s*/, '').replace(/\s\s*$/, '');	
	
	var t = textarea;
	var len = t.value.length;
	if (t.setSelectionRange) {
		t.setSelectionRange(len,len);
		t.focus();
	} else if (t.createTextRange) {
		var rn = t.createTextRange();
		rn.moveStart('character', len);
		rn.select();
	}
			
	contentDiv.style.display = "";
	var e = contentDiv;
	var y = 0;
	while (e) {
		y += e.offsetTop;
		e = e.offsetParent;
	}
	var h = (document.documentElement.clientHeight - y) - 100;
	h = h < 200 ? 200 : h;
	
	if (typeof FCKeditor != "undefined") {
		var oFCKeditor = new FCKeditor(uid + "_" + id + "_textarea");

// *********** fckeditor requirements  **************
//
//  oFCKeditor.BasePath value must be set to the location of the fckeditor root directory
//
//  This is for Oracle Portal ... 
//  oFCKeditor.BasePath = "/images/fckeditor/";
//
// This is for a web hosted environment, where host is the consumer of the portlet ...
// oFCKeditor.BasePath = window.location.protocol + "//" + window.location.host + "/" + window.location.pathname.split("/")[1] + "/fckeditor/";
			   
                oFCKeditor.BasePath = "/images/fckeditor/";
		oFCKeditor.ToolbarSet= 'Basic';
		oFCKeditor.Height = h < 200 ? 200 : h;			
		oFCKeditor.ReplaceTextarea();
	} else {
		textarea.style.height = h + "px";
	}
	
	actionButtons.style.display = "none";
	editorButtons.style.display = "";
}

function discussionsPortlet_doCloseEditor(uid, id) {
	var actionButtons = document.getElementById(uid + "_" +  id + "_action_buttons");
	var editorButtons = document.getElementById(uid + "_" +  id + "_editor_buttons");

	var editor = document.getElementById(uid + "_" + id + "_editor"); 

	if (editor) {
		editor.parentNode.removeChild(editor);
	}
	
	actionButtons.style.display = "";
	editorButtons.style.display = "none";
}

function discussionsPortlet_doSaveMessage(uid, id, pre) {
	var html = null;
	
	if (typeof FCKeditor != "undefined") {
		var oFCKeditor = FCKeditorAPI.GetInstance(uid + "_" + pre + id + "_textarea");
		if (oFCKeditor) {
			html = oFCKeditor.GetHTML();
		}
	} else {
		var textarea = document.getElementById(uid + "_" + pre + id + "_textarea");
		if (textarea) {
			html = textarea.value;
		}
	}
	
	if (!html) {
		alert("Content could not be saved.");
		discussionsPortlet_doCancel(uid);
		return;
	}
		
	var idField = document.getElementById(uid + "_" + pre + id + "_message_id_field");
	idField.value = id;
	var contentField = document.getElementById(uid + "_" + pre +  id + "_message_content_field");
	contentField.value = html;
	var form = document.getElementById(uid + "_" + pre +  id + "_message_form");
	form.submit();
}

function discussionsPortlet_doCancelMessage(uid, id) {
	discussionsPortlet_doCloseEditor(uid, 'm' + id);
}

function discussionsPortlet_doEditMessage(uid, msgId) {
	var contentDiv = document.getElementById(uid + "_m" + msgId + "_body");
	var html = contentDiv.innerHTML;
	discussionsPortlet_doOpenEditor(uid, 'm' + msgId, "update_message", contentDiv, html);
}

function discussionsPortlet_doReplyMessage(uid, msgId, title, username, quote) {
	var contentDiv = document.getElementById(uid + "_m" + msgId + "_body");
	var html = (quote == true) ? username + " wrote:<br>\"" + contentDiv.innerHTML + "\"<br><br>" : "";
	discussionsPortlet_doOpenEditor(uid, 'm' + msgId, "reply_message", contentDiv, html);
}

function discussionsPortlet_doCreateMessage(uid, threadId) {
	var contentDiv = document.getElementById(uid + "_t" + threadId + "_body");
	var html = "";
	discussionsPortlet_doOpenEditor(uid, 't' + threadId, "create_message", contentDiv, html);
}

function discussionsPortlet_doCancelCreateMessage(uid, id) {
	discussionsPortlet_doCloseEditor(uid, 't' + id);
}

function discussionsPortlet_doCreateThread(uid, forumId) {
	var contentDiv = document.getElementById(uid + "_f" + forumId + "_body");
	var html = "";
	discussionsPortlet_doOpenEditor(uid, 'f' + forumId, "create_thread", contentDiv, html);
	var titleDiv = document.getElementById(uid + "_f" + forumId + "_title");
	titleDiv.style.display = "";
}

function discussionsPortlet_doCancelCreateThread(uid, forumId) {
	discussionsPortlet_doCloseEditor(uid, 'f' + forumId);
	var titleDiv = document.getElementById(uid + "_f" + forumId + "_title");
	titleDiv.style.display = "none";
}

function discussionsPortlet_doSaveThread(uid, id, pre) {

	var titleField = document.getElementById(uid + "_" + pre + id + "_title_field");
	var title = titleField ? titleField.value : "";

	var html = null;
	
	if (typeof FCKeditor != "undefined") {
		var oFCKeditor = FCKeditorAPI.GetInstance(uid + "_" + pre + id + "_textarea");
		if (oFCKeditor) {
			html = oFCKeditor.GetHTML();
		}
	} else {
		var textarea = document.getElementById(uid + "_" + pre + id + "_textarea");
		if (textarea) {
			html = textarea.value;
		}
	}
	
	if (!html) {
		alert("Content could not be saved.");
		discussionsPortlet_doCancel(uid);
		return;
	}
		
	var idField = document.getElementById(uid + "_" + pre + id + "_forum_id_field");
	idField.value = id;
	var titleField = document.getElementById(uid + "_" + pre + id + "_message_title_field");
	titleField.value = title;
	var contentField = document.getElementById(uid + "_" + pre + id + "_message_content_field");
	contentField.value = html;
	var form = document.getElementById(uid + "_" + pre + id + "_thread_form");
	form.submit();
}

function discussionsPortlet_doCreateForum(uid, categoryId) {
	var detailsDiv = document.getElementById(uid + "_c" + categoryId + "_details");
	detailsDiv.style.display = "";
	var actionField = document.getElementById(uid + "_discussions_action");
	actionField.value = "create_forum";
	var actionButtons = document.getElementById(uid + "_c" +  categoryId + "_action_buttons");
	var editorButtons = document.getElementById(uid + "_c" +  categoryId + "_editor_buttons");
	actionButtons.style.display = "none";
	editorButtons.style.display = "";
}

function discussionsPortlet_doCancelCreateForum(uid, categoryId) {
	var detailsDiv = document.getElementById(uid + "_c" + categoryId + "_details");
	detailsDiv.style.display = "none";
	var actionButtons = document.getElementById(uid + "_c" +  categoryId + "_action_buttons");
	var editorButtons = document.getElementById(uid + "_c" +  categoryId + "_editor_buttons");
	actionButtons.style.display = "";
	editorButtons.style.display = "none";
}

function discussionsPortlet_doSaveForum(uid, id, pre) {
	var titleField = document.getElementById(uid + "_" + pre + id + "_title_field");
	var title = titleField ? titleField.value : "";
	var descriptionField = document.getElementById(uid + "_" + pre + id + "_description_field");
	var description = descriptionField ? descriptionField.value : "";

	if (title) {
		var titleField = document.getElementById(uid + "_forum_title_field");
		titleField.value = title;
		var descriptionField = document.getElementById(uid + "_forum_description_field");
		descriptionField.value = description;
		var form = document.getElementById(uid + "_forums_form");
		form.submit();
	}
}

function discussionsPortlet_checkCreateUserForm(uid, form) {
	var valid = true;
	
	if (form != null) {
		if (form.password.value.length <= 0) {
			discussionsPortlet_alert(uid, "Please enter a password");
			valid = false;
		}
		if (form.password.value != form.confirm_password.value) {
			discussionsPortlet_alert(uid, "Passwords must match");
			valid = false;
		}
		if (form.email.value.length <= 0) {
			discussionsPortlet_alert(uid, "Please provide an email address");
			valid = false;
		}

		if (valid == false) {
			form.password.value = "";
			form.confirm_password.value = "";
		}
	} else {
		valid = false;
	}
	
	return valid;
}

